<?php
/*
 * $Id: icl_content.settings.inc,v 1.2 2009/01/09 11:25:32 tolmi Exp $
 * 
 * @file Settings screen for icl_content
 */

/**
 * This is a page callback for the ICanLocalize Core admin page
 *
 * @return array The system settings form.
 */
function icl_content_admin_settings() {
  $form = array ();
  
  $form ['icl_content_send_options'] = array (
      '#type' => 'radios', 
      '#title' => t ( 'Select the desired translation method' ), 
      '#multiple' => FALSE, 
      '#options' => array (
          ICL_CONTENT_SEND_MANUAL => t ( 'Manual only' ), 
          ICL_CONTENT_SEND_PROMPT => t ( 'Prompt on page submit or edit' ), 
          ICL_CONTENT_SEND_AUTOMATIC => t ( 'Automatically send on each edit' ) ), 
      '#default_value' => variable_get ( 'icl_content_send_options', ICL_CONTENT_SEND_MANUAL ), 
      '#description' => t ( 'Choose when translations will be sent to the ICanLocalize service' ) );
  
  $form ['icl_content_delete_options'] = array (
      '#type' => 'radios', 
      '#title' => t ( 'Select the method to handle node deletetion for translated nodes' ), 
      '#multiple' => FALSE, 
      '#options' => array (
          ICL_CONTENT_DELETE_MANUAL => t ( 'I will delete the translations manually' ), 
          ICL_CONTENT_DELETE_AUTOMATIC => t ( 'Automatically delete all translations' ) ), 
      '#default_value' => variable_get ( 'icl_content_delete_options', ICL_CONTENT_DELETE_MANUAL ), 
      '#description' => t ( 'Choose how the system will handle node deletion' ) );
  
  return system_settings_form ( $form );
}